## splay 0.2-1

=== Makefile ===
CC	= gcc
#CC	= pgcc
AR	= ar

DEBUG	= -g
IFLAGS	= -I./bbitstream -I./sound
WFLAGS	= -Wstrict-prototypes -Wall
OFLAGS	= -O2 -m486
#OFLAGS	= -O6 -mpentium
TFLAGS	= -D_REENTRANT -DPTHREADEDMPEG
TLIBFLAGS = -lpthread
CFLAGS	= $(OFLAGS) $(WFLAGS) $(IFLAGS) $(DEBUG) $(TFLAGS)
OBJECTS	= splay.o
LIBRARY	= -lm $(TLIBFLAGS) \
	  ./bbitstream/bbitstream.a ./sound/mpegsound.a \
	  ./bbitstream/bbitstream.a ./sound/mpegsound.a

all : splay

clean :
	\rm -f splay *.o *~
	cd bbitstream; make clean
	cd sound;      make clean

splay : bbitstream_lib sound_lib $(OBJECTS)
	$(CC) -o splay $(OBJECTS) $(LIBRARY) 

.cc.o :
	$(CC) -c $(CFLAGS) -o $*.o $<

splay.o		: splay.cc
bbitstream_lib :
	cd bbitstream; make
sound_lib :
	cd sound; make

=== bbitstream/Makefile ===
CC	= gcc
#CC	= pgcc
AR	= ar
RM	= \rm -f

OBJLIB	= bbitstream.a
OBJECTS	= input.o output.o

DEBUG	= -g
IFLAGS	=
WFLAGS	= -Wstrict-prototypes -Wall
OFLAGS	= -O3 -fomit-frame-pointer -fno-strength-reduce -m486
#OFLAGS	= -O6 -mpentium
CFLAGS	= $(DEBUG) $(IFLAGS) $(WFLAGS) $(OFLAGS)
LIBS	= $(OBJLIB)

all: $(OBJLIB)

clean:
	$(RM) *.o *.a *~

$(OBJLIB): $(OBJECTS)
	$(RM) $(OBJLIB)
	$(AR) rcs $(OBJLIB) $(OBJECTS)

.cc.o :
	$(CC) -c $(CFLAGS) -o $*.o $<

input.o  : bbitstream.h input.cc
output.o : bbitstream.h output.cc

=== sound/Makefile ===
CC	= gcc
#CC	= pgcc
AR	= ar
RM	= \rm -f

OBJLIB	= mpegsound.a
OBJECTS	= rawplayer.o wavetoraw.o \
	  mpegtable.o huffmantable.o \
	  bitwindow.o huffman.o \
          mpeglayer1.o mpeglayer2.o mpeglayer3.o\
	  filter.o \
	  mpegtoraw.o \
	  fileplayer.o 	

DEBUG	= -g
IFLAGS	= -I../bbitstream/
AFLAGS	= -malign-loops=2 -malign-jumps=2 -malign-functions=2
TFLAGS	= -D_REENTRANT -DPTHREADEDMPEG
TLIBFLAGS = -lpthread
OFLAGS	= -O3 -fomit-frame-pointer -fno-strength-reduce -m486 $(AFLAG)
#OFLAGS   = -O6 -mpentium
WFLAGS	= -Wstrict-prototypes -Wall
CFLAGS	= $(DEBUG) $(IFLAGS) $(OFLAGS) $(WFLAGS) $(TFLAGS)
LIBS	= $(OBJLIB) -lm $(TLIBFLAGS) ../bbitstream/bbitstream.a

all: $(OBJLIB) test

clean:
	$(RM) *.a test *.o *~

check: all
	./test f.mp2

test: $(OBJLIB) test.cc
	$(CC) $(CFLAGS) -o test test.cc $(LIBS)

$(OBJLIB): $(OBJECTS)
	$(RM) $(OBJLIB)
	$(AR) rcs $(OBJLIB) $(OBJECTS)

.cc.o:
	$(CC) -c $(CFLAGS) -o $*.o $<

rawplayer.o	: mpegsound.h rawplayer.cc
wavetoraw.o	: mpegsound.h wavetoraw.cc
fileplayer.o	: mpegsound.h fileplayer.cc

filter.o	: mpegsound.h filter.cc
mpeglayer1.o	: mpegsound.h mpeglayer1.cc
mpeglayer2.o	: mpegsound.h mpeglayer2.cc
mpeglayer3.o	: mpegsound.h mpeglayer3.cc
mpegtable.o	: mpegsound.h mpegtable.cc
mpegtoraw.o	: mpegsound.h mpegtoraw.cc

bitwindow.o	: mpegsound.h bitwindow.cc
huffman.o	: mpegsound.h huffman.cc
huffmantable.o	: mpegsound.h huffmantable.cc

=== debian/changelog ===
splay (0.2-1) unstable; urgency=low

  * New upstream version.

 -- Johnie Ingram <johnie@debian.org>  Mon, 17 Mar 1997 17:21:12 -0500

splay (0.1-1) unstable; urgency=low

  * Initial Release: Standards-Version 2.1.2.2 and debmake 3.2.3.
  * Thanks to "hyrlik" (on #natter at irc.linpeople.org) for discovering
    this on sunsite.

 -- Johnie Ingram <johnie@debian.org>  Thu, 13 Mar 1997 17:42:21 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:

=== debian/control ===
Source: splay
Section: sound
Priority: optional
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.1.2.2

Package: splay
Architecture: i386
Depends: ${shlibs:Depends}
Description: MPEG-3 audio player
 Based on maplay, this package decodes layer I, II, and III MPEG audio
 streams and plays them using a CD-quality audio device.  It uses far
 less computing power than one commercial equivalent, "l3dec".
 .
 Includes both splay and psplay, which is optimized for Pentium
 processors.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*- made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=splay

build:
	$(checkdir)
	make DEBUG=""
	touch build

clean:
	$(checkdir)
	-make clean
	-rm -rf $$(find . -name "*~") $$(find debian/* -type d)
	-rm -rf debian/files* core debian/*substvars* build psplay


binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp && install -d debian/tmp
	cd debian/tmp && install -d $$(cat ../dirs)
	install splay debian/tmp/usr/bin/splay
	strip debian/tmp/usr/bin/splay
	install splay_pentium debian/tmp/usr/bin/psplay
	strip debian/tmp/usr/bin/psplay
	cp sound/README* debian/tmp/usr/doc/$(package)/sound
	debstd -p -u sound/ChangeLog README README.han
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
sunsite.unc.edu	/pub/Linux/Incoming	splay-*.tar.gz	debian	uupdate

## splay 0.9.5.2

=== debian/changelog ===
splay (0.9.5.2-13build1) wily; urgency=medium

  * No change rebuild for libtag1v5

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 23 Aug 2015 20:07:57 -0500

splay (0.9.5.2-13) unstable; urgency=low

  [ John Hedges ]
  * Switch to dpkg-source 3.0 (quilt) format
  * Removes autoconf generated files in clean target
  * Converts to machine readable copyright (DEP5)

  [ tony mancill ]
  * Update to build with hardening flags.
  * Bump Standards-Version to 3.9.3.
  * Bump debian/compat to 8.

 -- tony mancill <tmancill@debian.org>  Wed, 13 Jun 2012 21:22:44 -0700

splay (0.9.5.2-12) unstable; urgency=low

  * Uses libtag1 instead of (debian) deprecated libid3
  * Fixes uninitialised var bug in libs/fileplayer.cc
  * Adds dependency on oss-compat
  * Standards-version 3.9.2
  * Corrects debian/control - indeed, splay won't play wavs (closes: #546065)

 -- John Hedges <john@drystone.co.uk>  Mon, 12 Dec 2011 12:25:13 +0000

splay (0.9.5.2-11) unstable; urgency=low

  * Resolved g++-4.3 compiler issues (closes: #461711)
    libs/soundinputstream.cc libs/httpinput.cc libs/mpegtoraw.cc
    libs/fileplayer.cc libs/mpegsound.h apps/common.cc apps/splay.cc

 -- John Hedges <john@drystone.co.uk>  Thu, 21 Feb 2008 11:31:13 +0000

splay (0.9.5.2-10) unstable; urgency=low

  * Fixed pre-iso c++ headers (closes: #461711)
    libs/soundinputstream.cc libs/httpinput.cc libs/mpegtoraw.cc
    libs/fileplayer.cc libs/mpegsound.h apps/xsplay.cc
    apps/functions.cc apps/common.cc apps/splay.cc
  * Fixed bug in frame header decode (libs/mpegtoraw.cc) that failed to
    identify 48KHz sample rate
  * Fixed bug in apps/splay.cc where tracks without id3 genre displayed 
    usage info in place of genre with -vv(v)
  * Fixed all deprecated casts from string literal to char*
  * Standards-version 3.7.3
  * New debian/compat replaces DH_COMPAT in debian/rules

 -- John Hedges <john@drystone.co.uk>  Tue, 29 Jan 2008 13:32:28 +0000

splay (0.9.5.2-9) unstable; urgency=low

  * debian/rules: Fixed build-arch build-indep rules (closes: #418357)

 -- John Hedges <john@drystone.co.uk>  Tue, 10 Apr 2007 14:32:28 +0100

splay (0.9.5.2-8) unstable; urgency=low

  * Man page corrections to apps/splay.1 (closes: #350353).
    Thanks to A Costa for supplying patch
  * Updated debhelper build-depends to >= 5
    also DH_COMPAT in debian/rules
  * Updated FSF address in debian/copyright
  * Renamed debian/rules binary-arch target to binary-indep
    and added empty binary-arch target. (closes: #395772)
  * Removed build-stamp target and now touch build instead 
    of build-stamp in the build target istelf
  * Standards-version 3.7.2

 -- John Hedges <john@drystone.co.uk>  Mon, 30 Oct 2006 13:13:14 +0000

splay (0.9.5.2-7) unstable; urgency=low

  * Fixes random shuffle bug (closes: #306983).
    Thanks to Samuel Thibault for supplying this patch.
  * Repaired typo in man page (closes: #312765).
  * Fixes dependency on outdated libid3 package,
    now depends on libid3-3.8.3c2 (closes: #328215). 

 -- John Hedges <john@drystone.co.uk>  Wed, 14 Sep 2005 10:30:00 +0100

splay (0.9.5.2-6) unstable; urgency=low

  * Cleaned remains of xsplay from debian/*
  * Modified splay man page to reflect lack of xsplay
  * Modified -v[v[v]] option to splay manpage (closes: #174032)
  * Fleshed out debian/copyright
  * Standards-version 3.6.2
  * Updated debian/rules to honour DEB_BUILD_OPTIONS
    and added support for DEB_{HOST,BUILD}_GNU_TYPE
  * Replaced debian/dirs with explicit dh_installdirs [file]
  * New maintainer (closes: #246971)

 -- John Hedges <john@drystone.co.uk>  Sat, 14 Aug 2004 13:00:00 +0100

splay (0.9.5.2-5) unstable; urgency=low

  * QA Upload.
  * Set Architecture to any.  Let's hope bug 71953 doesn't come back.
    (In four years, anything could have happened.)  (Closes: #71953,
    #249400.)
  
    But if sparc build failures still exist after this, then the
    architecture list should be set to i386 alpha arm m68k powerpc amd64,
    and bug 71953 should be reopened (as wishlist).

 -- Thomas Bushnell, BSG <tb@debian.org>  Mon,  9 Aug 2004 14:44:16 -0700

splay (0.9.5.2-4) unstable; urgency=low

  * Package orphaned.

 -- Zed Pobre <zed@debian.org>  Sun,  2 May 2004 11:33:10 -0500

splay (0.9.5.2-3) unstable; urgency=low

  * Compiled against and Build-Depends: libid3-3.8.3-dev (closes: #196286)
  * debian/copyright: /usr/share/common-licenses, not
    /usr/share/doc/common-licenses.
  * Standards-Version 3.5.10

 -- Zed Pobre <zed@debian.org>  Thu,  5 Jun 2003 16:00:49 -0500

splay (0.9.5.2-2) unstable; urgency=low

  * Recompile now that g++-3.2 is the default.
  * The ID3 GetError string output functions seem to have vanished, so
    I have commented them out of the code.

 -- Zed Pobre <zed@debian.org>  Wed, 12 Feb 2003 12:18:57 -0600

splay (0.9.5.2-1) unstable; urgency=low

  * New upstream bugfix release (closes: #127647)

 -- Zed Pobre <zed@debian.org>  Sat, 19 Jan 2002 10:39:59 -0600

splay (0.9.5.1-3) unstable; urgency=low

  * Fix outdated reference to QT GPL incompatability in splay description
    (closes: #109966)
  * Remove empty TODO file.
  * Remove emacs add-log-mailing-address entry at bottom of changelog.
  * Remove emacs debian-changelog mode force from changelog entirely (it
    seems to be autodetected now).

 -- Zed Pobre <zed@debian.org>  Fri, 24 Aug 2001 21:33:24 -0500

splay (0.9.5.1-2) unstable; urgency=low

  * Remove libstdc++-dev from Build-Depends, as it is Build-Essential
    (closes: #105957)
  * Standards Version 3.5.6 (no changes needed).

 -- Zed Pobre <zed@debian.org>  Sat, 28 Jul 2001 14:34:11 -0500

splay (0.9.5.1-1) unstable; urgency=low

  * New upstream version
  * Frame skipping with -k is now implemented (closes: #89916)

 -- Zed Pobre <zed@debian.org>  Sun, 25 Mar 2001 13:11:24 -0600

splay (0.9.4-1) unstable; urgency=low

  * New upstream version.  Genres are now printed as text.
  * Updated upstream location in copyright file



=== debian/control ===
Source: splay
Build-Depends: debhelper (>= 8.1.3), libtag1-dev, autoconf, automake
Build-Conflicts: autoconf2.13, automake1.4
Section: sound
Priority: optional
Maintainer: John Hedges <john@drystone.co.uk>
Uploaders: tony mancill <tmancill@debian.org>
Standards-Version: 3.9.3

Package: splay
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, oss-compat
Description: Sound player for MPEG-1,2 layer 1,2,3
 Based on maplay, this package decodes layer I, II, and III MPEG audio
 streams/files and plays them from the command line.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Optional P2 optimization.  Don't mess with this unless you have gcc 2.95+
# and know what it does.
#OPT=-march=i686

CXX = g++
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += $(DEB_HOST_GNU_TYPE)
else
  confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

build: build-arch build-indep

build-arch: build-stamp
	dh_testdir
	autoreconf -i -f
	automake
	./configure $(confflags) --prefix=/usr --with-pthreads
	$(MAKE) CXX="$(CXX)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)"
	touch build-arch

build-indep: build-stamp
build-stamp:
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f mkinstalldirs missing install-sh INSTALL depcomp configure aclocal.m4
	rm -f Makefile Makefile.in
	rm -f apps/Makefile apps/Makefile.in
	rm -f libs/Makefile libs/Makefile.in
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs usr/bin
	cp apps/splay debian/splay/usr/bin/
	dh_strip
	dh_installdocs AUTHORS README README.LIB
	dh_installman apps/splay.1
	dh_installchangelogs ChangeLog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-indep: build
binary: binary-arch binary-indep
.PHONY: clean binary-indep binary-arch binary
